Bug 1568163 (CVE-2018-2800) - CVE-2018-2800 OpenJDK: RMI HTTP transport enabled by default (RMI, 8193833)
Summary: CVE-2018-2800 OpenJDK: RMI HTTP transport enabled by default (RMI, 8193833)
Status: CLOSED ERRATA
Alias: CVE-2018-2800
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180417,repor...
Keywords: Security
Depends On: 1559768 1559769 1559770 1559771 1559773 1559774 1559775 1559776 1565346 1565347 1565348 1565349 1565350 1565351 1565352 1565353 1565511 1565512 1565513 1565514 1577848 1577849 1577850 1577851 1577855 1577856 1577857 1577858 1579406 1579410
Blocks: 1559778
TreeView+ depends on / blocked
 
Reported: 2018-04-16 21:40 UTC by Tomas Hoger
Modified: 2018-06-25 14:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-24 20:52:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1188 None None None 2018-04-19 17:01 UTC
Red Hat Product Errata RHSA-2018:1191 None None None 2018-04-19 18:02 UTC
Red Hat Product Errata RHSA-2018:1201 None None None 2018-04-23 17:11 UTC
Red Hat Product Errata RHSA-2018:1202 None None None 2018-04-23 17:16 UTC
Red Hat Product Errata RHSA-2018:1203 None None None 2018-04-23 17:21 UTC
Red Hat Product Errata RHSA-2018:1204 None None None 2018-04-23 17:19 UTC
Red Hat Product Errata RHSA-2018:1205 None None None 2018-04-23 17:23 UTC
Red Hat Product Errata RHSA-2018:1206 None None None 2018-04-23 17:31 UTC
Red Hat Product Errata RHSA-2018:1270 None None None 2018-04-30 16:17 UTC
Red Hat Product Errata RHSA-2018:1278 None None None 2018-05-02 22:06 UTC
Red Hat Product Errata RHSA-2018:1721 None None None 2018-05-24 18:53 UTC
Red Hat Product Errata RHSA-2018:1722 None None None 2018-05-24 18:57 UTC
Red Hat Product Errata RHSA-2018:1723 None None None 2018-05-24 19:01 UTC
Red Hat Product Errata RHSA-2018:1724 None None None 2018-05-24 19:05 UTC
Red Hat Product Errata RHSA-2018:1974 None None None 2018-06-25 14:57 UTC
Red Hat Product Errata RHSA-2018:1975 None None None 2018-06-25 14:57 UTC

Description Tomas Hoger 2018-04-16 21:40:46 UTC
It was discovered that the RMI component of OpenJDK enabled HTTP transport for RMI servers by default.  This could possibly expose RMI services to attackers who can not connect to them directly by attacking web browsers of users able to directly connect to the services.

The fix for this issue disables the use of RMI HTTP transport by default.  System properly java.rmi.server.disableIncomingHttp (with the default value of "true") can be used to enable HTTP transport.

Comment 1 Tomas Hoger 2018-04-17 20:57:25 UTC
Public now via Oracle CPU April 2018:

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html#AppendixJAVA

The issue was fixed in Oracle 8u171, 7u181, and 6u191.

Comment 2 Tomas Hoger 2018-04-17 20:59:22 UTC
Relevant entry in the Oracle JDK release notes:

  core-libs/java.rmi
  Server-side HTTP-tunneled RMI Connections Disabled

  Server side HTTP-tunneled RMI connections have been disabled by default
  in this release. This behavior can be reverted by setting the runtime
  property sun.rmi.server.disableIncomingHttp property to false. Note, this
  should not be confused with the sun.rmi.server.disableHttp property, which
  disables HTTP-tunneling on the client side and is false by default.

  JDK-8193833 (not public)

http://www.oracle.com/technetwork/java/javase/8u171-relnotes-4308888.html
http://www.oracle.com/technetwork/java/javaseproducts/documentation/javase7supportreleasenotes-1601161.html#R170_181
http://www.oracle.com/technetwork/java/javase/documentation/overview-156328.html#R160_191

Comment 3 errata-xmlrpc 2018-04-19 17:01:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1188 https://access.redhat.com/errata/RHSA-2018:1188

Comment 4 errata-xmlrpc 2018-04-19 18:01:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1191 https://access.redhat.com/errata/RHSA-2018:1191

Comment 5 Tomas Hoger 2018-04-20 20:47:07 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/d70c21e5b413

Comment 6 errata-xmlrpc 2018-04-23 17:10:52 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1201 https://access.redhat.com/errata/RHSA-2018:1201

Comment 7 errata-xmlrpc 2018-04-23 17:16:24 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1202 https://access.redhat.com/errata/RHSA-2018:1202

Comment 8 errata-xmlrpc 2018-04-23 17:18:56 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1204 https://access.redhat.com/errata/RHSA-2018:1204

Comment 9 errata-xmlrpc 2018-04-23 17:20:57 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1203 https://access.redhat.com/errata/RHSA-2018:1203

Comment 10 errata-xmlrpc 2018-04-23 17:23:01 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1205 https://access.redhat.com/errata/RHSA-2018:1205

Comment 11 errata-xmlrpc 2018-04-23 17:31:20 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1206 https://access.redhat.com/errata/RHSA-2018:1206

Comment 12 errata-xmlrpc 2018-04-30 16:17:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1270 https://access.redhat.com/errata/RHSA-2018:1270

Comment 13 errata-xmlrpc 2018-05-02 22:06:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1278 https://access.redhat.com/errata/RHSA-2018:1278

Comment 16 errata-xmlrpc 2018-05-24 18:53:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:1721 https://access.redhat.com/errata/RHSA-2018:1721

Comment 17 errata-xmlrpc 2018-05-24 18:57:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:1722 https://access.redhat.com/errata/RHSA-2018:1722

Comment 18 errata-xmlrpc 2018-05-24 19:01:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:1723 https://access.redhat.com/errata/RHSA-2018:1723

Comment 19 errata-xmlrpc 2018-05-24 19:05:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:1724 https://access.redhat.com/errata/RHSA-2018:1724

Comment 20 errata-xmlrpc 2018-06-25 14:57:07 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2018:1974 https://access.redhat.com/errata/RHSA-2018:1974

Comment 21 errata-xmlrpc 2018-06-25 14:57:41 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:1975 https://access.redhat.com/errata/RHSA-2018:1975


Note You need to log in before you can comment on or make changes to this bug.